%define module	pathtools

Name:		python-%{module}
Version:	0.1.2
Release:	%mkrel 6
Summary:	Pattern matching and various utilities for file systems paths
Group:		Development/Python
License:	MIT
URL:		https://github.com/gorakhargosh/pathtools
Source0:	https://pypi.python.org/packages/source/p/%{module}/%{module}-%{version}.tar.gz
BuildArch:	noarch

%description
%{name} is a Python API library for common path
and pattern functionality.

%package -n	python3-%{module}
Summary:	Pattern matching and various utilities for file systems paths
Group:		Development/Python
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)
%{?python_provide:%python_provide python3-%{module}}

%description -n	python3-%{module}
%{name} is a Python 3 API library for common path
and pattern functionality.

%prep
%setup -q -n %{module}-%{version}

# Remove bundled egg-info
rm -rf %{module}.egg-info

# remove hashbang from lib's files
sed -i -e '/#!\//d' pathtools/*.py

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{module}
%doc AUTHORS README
%license LICENSE
%{python3_sitelib}/%{module}/
%{python3_sitelib}/%{module}-%{version}-py%{python3_version}.egg-info


%changelog
* Sun Feb 16 2020 umeabot <umeabot> 0.1.2-6.mga8
+ Revision: 1531950
- Mageia 8 Mass Rebuild

* Sun Sep 15 2019 daviddavid <daviddavid> 0.1.2-5.mga8
+ Revision: 1441430
- rebuild for python3.8
- drop python2 support

* Wed Jan 09 2019 shlomif <shlomif> 0.1.2-4.mga7
+ Revision: 1353721
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.1.2-3.mga7
+ Revision: 1289659
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 0.1.2-2.mga7
+ Revision: 1135541
- Rebuild for python 3.6

* Sun Apr 10 2016 daviddavid <daviddavid> 0.1.2-1.mga6
+ Revision: 1000101
- imported package python-pathtools

